﻿using System;

namespace SimpleCalculator
{
    public interface ICalcModel
    {
        void AppendNum1DecimalPoint();
        void AppendNum1Digit(int digit);
        void AppendNum2DecimalPoint();
        void AppendNum2Digit(int digit);
        string GetFormula();
        double GetResult();
        double? Num1 { get; }
        double? Num2 { get; }
        CalcEnums.Operators Operator { get; set; }
        void Reset();
        void SetNum1(double num);
        void SetNum2(double num);
    }
}
